This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489033 - org.trust.addTrust and removeTrust docs say they accept string trustOrgId where actually they accept integer
org.trust.addTrust and removeTrust docs say they accept string trustOrgId whe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
wes hayutin
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-03-06 15:53 EST by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-03-06 15:53:43 EST
Description of problem:
org.trust.addTrust and removeTrust docs say they accept string trustOrgId where actually they accept integer

How reproducible:

Method: addTrust
Description:
Add a organization to the list of trusted organizations.

Parameters:

    * string sessionKey
    * int orgId
    * string trustOrgId                    <<<<<---------

Method: removeTrust
Description:
Remove a organization to the list of trusted organizations.

Parameters:

    * string sessionKey
    * int orgId
    * string trustOrgId                     <<<<<<--------- 


Expected results:

int trustOrgId
Comment 1 Sayli Karmarkar 2009-03-06 15:59:08 EST
489033 - correcting type of trustOrgId in org.trust.addTrust and removeTrust

commit	17402e80c832f887f6ffa823153dcb13b7614489

~SayliK
Comment 2 wes hayutin 2009-05-21 11:45:35 EDT
verified both 5/20

 Method: removeTrust
Description:
Remove an organization to the list of trusted organizations.

Parameters:

    * string sessionKey
    * int orgId
    * int trustOrgId

Returns:

    * int - 1 on success, exception thrown otherwise.
Comment 3 Michael Mráka 2009-08-28 04:43:13 EDT
Verified in stage -> RELEASE_PENDING.

* created new org, tried to add/remove trust via API:
$ ./xmlrpc-client.pl dell-pem710-01.rhts.eng.bos.redhat.com admin xxx org.trusts.addTrust 1 2
OK
$ ./xmlrpc-client.pl dell-pem710-01.rhts.eng.bos.redhat.com admin xxx org.trusts.addTrust 1 org2
Fault returned from XML RPC Server, fault code -1: com.redhat.rhn.common.translation.TranslationException: Could not find translator for class java.lang.String to class java.lang.Integer
$ ./xmlrpc-client.pl dell-pem710-01.rhts.eng.bos.redhat.com admin xxx org.trusts.removeTrust 1 2
OK

* checked doc:
Method: addTrust
Description:
Add an organization to the list of trusted organizations. 

Parameters:
string sessionKey 
int orgId 
int trustOrgId 

Returns: 
int - 1 on success, exception thrown otherwise.

Method: removeTrust
Description:
Remove an organization to the list of trusted organizations. 

Parameters:
string sessionKey 
int orgId 
int trustOrgId 

Returns: 
int - 1 on success, exception thrown otherwise.
Comment 4 Brandon Perkins 2009-09-10 15:54:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.